import request from '@/plugins/request/system';


/**
 * 获取日志数据
 * @param data
 * @constructor
 */
export function  SystemLog(data = {}) {
  return request({
    url: '/systemv1/log/list',
    method: 'post',
    data : data
  });
}

/**
 * 删除一月之前日志
 * @constructor
 */
export function SystemLogDelMonth(data = {}) {
  return request({
    url: '/systemv1/log/delMonth',
    method: 'post',
    data : data
  });
}

/**
 * 获取登录日志数据
 * @param data
 * @constructor
 */
export function  SystemLoginLog(data = {}) {
  return request({
    url: '/systemv1/log/listLoginLog',
    method: 'post',
    data : data
  });
}

/**
 * 删除一月之前登录日志
 * @constructor
 */
export function SystemLoginLogDelMonth(data = {}) {
  return request({
    url: '/systemv1/log/delMonthLoginLog',
    method: 'post',
    data : data
  });
}
